package com.antai.sport.http.server.game.api.business.test;

import com.easemob.im.server.EMException;
import com.easemob.im.server.EMService;
import com.easemob.im.server.model.EMUser;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("test")
public class TestController {

    @Resource
    private EMService emService;

    @GetMapping("/create/{username}/{password}")
    public void testCreateUser(@PathVariable String username, @PathVariable String password) {
        try {
            EMUser user = emService.user().create(username, password).block();
            System.out.println(emService.token().getAppToken().block().getValue());
            System.out.println(emService.token().getAppToken().block().getExpireAt());
        } catch (EMException e) {
            e.getMessage();
        }
    }

}
